Subject: IPP>MOD - COMMENTS ON UPDATED DIAGRAM

From: [email-masked]
Date: Thu, 27 Feb 1997 08:48:35 -0500

Roger,

  Thanks for taking the ball on this.  My comments are as follows:

  1.  "Event Notification" should be shown vertically next to Directory and
  Security since an IPP Printer can send print events to an end-user via
  email or HTTP.

  2.  The diagram doesn't show that an IPP Server can reside in an output
  device.  Perhaps the diagram should replace "IPP Server", "Print Service"
  and "Output Device" with "IPP Printer".  The Model spec already shows the
  various configurations for an "IPP Printer" so the diagram doesn't have
  to repeat those configurations.

  I'll review this diagram with others and, after the review, send any
  additional comments.

  Have a super day,

  Keith
  To:       Keith Carter
  cc:
  From:     DELEGATE @ AUSVMR
  Date:     02-26-97 05:38:26 PM
  Subject:  IPP>MOD - UPDATED DIAGRAM

  To: KCARTER --AUSNOTES

  From: DELEGATE
  Subject: IPP>MOD - UPDATED DIAGRAM
   +--------------------------------------------------------------------------+
   H  The following note is being forwarded from KCARTER at AUSVMR.           H
   H  DO NOT USE the F6 REPLY function to reply to this note. You must        H
   H  contact the sender directly if you wish to reply, and not DELEGATE.     H
   +--------------------------------------------------------------------------+

   ---------------------------- Note:    -------------------------------------
   Received: from lists.underscore.com by vnet.IBM.COM (IBM VM SMTP V2R3) with
      Wed, 26 Feb 97 18:29:56 EST
   Received: from localhost (daemon@localhost) by lists.underscore.com
  (8.7.5/8.7
   Received: by pwg.org (bulk_mailer v1.5); Wed, 26 Feb 1997 18:28:26 -0500
   Received: (from daemon@localhost) by lists.underscore.com (8.7.5/8.7.3) id
  SAA
   From: [email-masked]
   X400-Originator: [email-masked]
   X400-Recipients: [email-masked]
   X400-Mts-Identifier: ó/ADMD=IBMSMTP/C=US/;5030100005226713000002y
   X400-Content-Type: P2-1988 (22)
   Message-Id: <5030100005226713000002*@MHS>
   To: <[email-masked]>
   Subject: IPP>MOD - Updated Diagram
   Date: Wed, 26 Feb 1997 18:25:37 -0500
   Sender: [email-masked]

   Classification:
   Prologue:
   Epilogue: Roger K deBry
   Senior Techncial Staff Member
   Architecture and Technology
   IBM Printing Systems
   email: [email-masked]
   phone: 1-303-924-4080

   Here is an updated diagram based on Babek's comments and those
   made during today's phone call.  Comments???

                                +-------------+
                                H Application H
                                +-----+-------+
                                      H
                         o      +-----+-------+
                        \H/     H   Spooler   H
                        / \     +------+------+
                       End-User        H
                       +-----+  +------+-------+
                       H GUI H  H Print Driver H
                       +--+--+  +------+-------+
                          H            H
                      +---+------------+---+
          D   S       H      IPP Client    H
          I   E       +---------+----------+

          R   C                 H
          E   U
          C   R    --------- Transport -----------
          T   I
          O   T                 H
          R   Y        +--------+----------+
          Y            H     IPP Server    H
                       +--------+----------+
                                H
                       +--------+----------+
                       H   Print Service   H
                       +--------+----------+
                                H
                          Output Device(s)

  >>>> DO NOT REPLY TO THIS NOTE <<<<